Skip to content
Start here

Preview active event details

client.WaitingRooms.Events.Details.Get(ctx, waitingRoomID, eventID, query) (*EventDetailGetResponse, error)
GET/zones/{zone_id}/waiting_rooms/{waiting_room_id}/events/{event_id}/details

Previews an event's configuration as if it was active. Inherited fields from the waiting room will be displayed with their current values.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Waiting Rooms ReadWaiting Rooms Write
ParametersExpand Collapse
waitingRoomID string
eventID string
query EventDetailGetParams
ZoneID param.Field[string]

Identifier.

maxLength32
ReturnsExpand Collapse
type EventDetailGetResponse struct{…}
ID stringoptional
CreatedOn Timeoptional
formatdate-time
CustomPageHTML stringoptional
Description stringoptional

A note that you can use to add more details about the event.

DisableSessionRenewal booloptional
EventEndTime stringoptional

An ISO 8601 timestamp that marks the end of the event.

EventStartTime stringoptional

An ISO 8601 timestamp that marks the start of the event. At this time, queued users will be processed with the event's configuration. The start time must be at least one minute before event_end_time.

ModifiedOn Timeoptional
formatdate-time
Name stringoptional

A unique name to identify the event. Only alphanumeric characters, hyphens and underscores are allowed.

NewUsersPerMinute int64optional
PrequeueStartTime stringoptional

An ISO 8601 timestamp that marks when to begin queueing all users before the event starts. The prequeue must start at least five minutes before event_start_time.

QueueingMethod stringoptional
SessionDuration int64optional
ShuffleAtEventStart booloptional

If enabled, users in the prequeue will be shuffled randomly at the event_start_time. Requires that prequeue_start_time is not null. This is useful for situations when many users will join the event prequeue at the same time and you want to shuffle them to ensure fairness. Naturally, it makes the most sense to enable this feature when the queueing_method during the event respects ordering such as fifo, or else the shuffling may be unnecessary.

Suspended booloptional

Suspends or allows an event. If set to true, the event is ignored and traffic will be handled based on the waiting room configuration.

TotalActiveUsers int64optional

Preview active event details

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/waiting_rooms"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  detail, err := client.WaitingRooms.Events.Details.Get(
    context.TODO(),
    "699d98642c564d2e855e9661899b7252",
    "25756b2dfe6e378a06b033b670413757",
    waiting_rooms.EventDetailGetParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", detail.ID)
}
{
  "result": {
    "id": "25756b2dfe6e378a06b033b670413757",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "custom_page_html": "{{#waitTimeKnown}} {{waitTime}} mins {{/waitTimeKnown}} {{^waitTimeKnown}} Event is prequeueing / Queue all enabled {{/waitTimeKnown}}",
    "description": "Production event - DO NOT MODIFY",
    "disable_session_renewal": false,
    "event_end_time": "2021-09-28T17:00:00.000Z",
    "event_start_time": "2021-09-28T15:30:00.000Z",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "name": "production_webinar_event",
    "new_users_per_minute": 0,
    "prequeue_start_time": "2021-09-28T15:00:00.000Z",
    "queueing_method": "random",
    "session_duration": 0,
    "shuffle_at_event_start": true,
    "suspended": true,
    "total_active_users": 0
  }
}
Returns Examples
{
  "result": {
    "id": "25756b2dfe6e378a06b033b670413757",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "custom_page_html": "{{#waitTimeKnown}} {{waitTime}} mins {{/waitTimeKnown}} {{^waitTimeKnown}} Event is prequeueing / Queue all enabled {{/waitTimeKnown}}",
    "description": "Production event - DO NOT MODIFY",
    "disable_session_renewal": false,
    "event_end_time": "2021-09-28T17:00:00.000Z",
    "event_start_time": "2021-09-28T15:30:00.000Z",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "name": "production_webinar_event",
    "new_users_per_minute": 0,
    "prequeue_start_time": "2021-09-28T15:00:00.000Z",
    "queueing_method": "random",
    "session_duration": 0,
    "shuffle_at_event_start": true,
    "suspended": true,
    "total_active_users": 0
  }
}